=== debian/changelog ===
obs-advanced-scene-switcher (1.17.2-1) unstable; urgency=medium

  * New upstream version 1.17.2.
  * debian/copyright: updated upstream copyright years.
  * debian/salsa-ci.yml: added allow_failure to reprotest until the issue
    isn't solved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Feb 2022 17:22:42 -0300

obs-advanced-scene-switcher (1.16.5-2) unstable; urgency=medium

  * Using variables to improve and standardize the building and CI test.
    Consequently, updated the following files:
      - debian/rules
      - debian/tests/control
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 02 Jan 2022 21:45:42 -0300

obs-advanced-scene-switcher (1.16.5-1) unstable; urgency=medium

  * New upstream version 1.16.5.
  * debian/control:
      - Added a relationship for libobs-dev.
      - Removed a digit from Standards-Version.
  * debian/tests/*: added to provide a trivial CI test. The current test checks
    if the lib loads.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Dec 2021 18:06:42 -0300

obs-advanced-scene-switcher (1.16.4-1) unstable; urgency=medium

  * New upstream version 1.16.4.
  * debian/control:
      - Set obs-advanced-scene-switcher as 'Multi-Arch: same'.
      - Set obs-advanced-scene-switcher-data as 'Multi-Arch: foreign'.
  * debian/source/lintian-overrides: updated to match with translations.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 28 Nov 2021 16:31:11 -0300

obs-advanced-scene-switcher (1.16.3-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: added Breaks and Replaces to
    obs-advanced-scene-switcher-data to allow a perfect migration from
    revisions lower than 1.16.3-1.
  * debian/copyright: changed packaging licencing to BSD-3-Clause.
  * debian/rules: changed target from execute_after_dh_install to
    execute_after_dh_install-arch to fix independent binary packages build.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 15 Nov 2021 15:04:02 -0300

obs-advanced-scene-switcher (1.16.3-1) experimental; urgency=medium

  * New upstream version 1.16.3.
  * Split the code in two Debian binaries. Consequently:
      - debian/control: added a new stanza for the new binary.
      - debian/obs-advanced-scene-switcher.install: created to install the
        plugin.
      - debian/obs-advanced-scene-switcher-data.install: created to install
        the architecture-independent files.
  * debian/control: added libopencv-dev and libprocps-dev to Build-Depends
    field.
  * debian/copyright: added a new block for data/res/cascadeClassifiers/*.xml.
  * debian/source/lintian-overrides: updated an override line about en-US
    translation.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 10 Nov 2021 17:59:17 -0300

obs-advanced-scene-switcher (1.15.3+git20210913.25cf51a-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
      - Added obs-studio to Depends field.
      - Created Enhances field.
      - Fixed a word in long description.
      - Fixed VCS fields.
  * debian/rules: added the target execute_after_dh_install to check if the
    plugin is installed in right place.
  * debian/source/lintian-overrides: created to override messages because the
    target files are translations for other languages in pure text.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 09 Nov 2021 15:52:36 -0300

obs-advanced-scene-switcher (1.15.3+git20210913.25cf51a-1) experimental; urgency=medium

  * Initial release. (Closes: #994154)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 13 Sep 2021 17:07:37 -0300
