=== debian/watch ===
version=4
https://github.com/WarmUpTill/SceneSwitcher/releases .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
