## obs-advanced-scene-switcher 1.17.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -107,6 +107,7 @@
   include_directories("${LIBCURL_INCLUDE_DIRS}")
   add_definitions(-DVCAM_SUPPORTED)
   add_definitions(-DREPLAYBUFFER_SUPPORTED)
+  add_definitions(-DVISIBILITY_TRANSITIONS_SUPPORTED)
 endif()
 
 # Platform specific settings
@@ -190,6 +191,7 @@
     src/headers/switch-sequence.hpp
     src/headers/switch-video.hpp
     src/headers/switch-generic.hpp
+    src/headers/macro-action.hpp
     src/headers/macro-action-edit.hpp
     src/headers/macro-action-audio.hpp
     src/headers/macro-action-file.hpp
@@ -198,7 +200,6 @@
     src/headers/macro-action-macro.hpp
     src/headers/macro-action-media.hpp
     src/headers/macro-action-plugin-state.hpp
-    src/headers/macro-action-preview-scene.hpp
     src/headers/macro-action-profile.hpp
     src/headers/macro-action-random.hpp
     src/headers/macro-action-recording.hpp
@@ -206,7 +207,6 @@
     src/headers/macro-action-run.hpp
     src/headers/macro-action-scene-collection.hpp
     src/headers/macro-action-scene-order.hpp
-    src/headers/macro-action-scene-swap.hpp
     src/headers/macro-action-scene-switch.hpp
     src/headers/macro-action-scene-transform.hpp
     src/headers/macro-action-scene-visibility.hpp
@@ -214,11 +214,13 @@
     src/headers/macro-action-sequence.hpp
     src/headers/macro-action-source.hpp
     src/headers/macro-action-streaming.hpp
+    src/headers/macro-action-studio-mode.hpp
     src/headers/macro-action-systray.hpp
     src/headers/macro-action-timer.hpp
     src/headers/macro-action-transition.hpp
     src/headers/macro-action-virtual-cam.hpp
     src/headers/macro-action-wait.hpp
+    src/headers/macro-condition.hpp
     src/headers/macro-condition-edit.hpp
     src/headers/macro-condition-audio.hpp
     src/headers/macro-condition-cursor.hpp
@@ -229,6 +231,7 @@
     src/headers/macro-condition-idle.hpp
     src/headers/macro-condition-macro.hpp
     src/headers/macro-condition-media.hpp
+    src/headers/macro-condition-obs-stats.hpp
     src/headers/macro-condition-plugin-state.hpp
     src/headers/macro-condition-process.hpp
     src/headers/macro-condition-recording.hpp
@@ -245,8 +248,11 @@
     src/headers/macro-condition-virtual-cam.hpp
     src/headers/macro-condition-window.hpp
     src/headers/macro.hpp
-    src/headers/macro-controls.hpp
+    src/headers/macro-ref.hpp
+    src/headers/macro-list-entry-widget.hpp
+    src/headers/macro-properties.hpp
     src/headers/macro-segment.hpp
+    src/headers/macro-segment-list.hpp
     src/headers/macro-selection.hpp
     src/headers/curl-helper.hpp
     src/headers/hotkey.hpp
@@ -260,6 +266,7 @@
     src/headers/section.hpp
     src/headers/status-control.hpp
     src/headers/platform-funcs.hpp
+    src/headers/resizing-text-edit.hpp
     src/headers/utility.hpp
     src/headers/volume-control.hpp
     src/headers/version.h)
@@ -290,6 +297,7 @@
     src/switch-audio.cpp
     src/switch-video.cpp
     src/switch-generic.cpp
+    src/macro-action.cpp
     src/macro-action-edit.cpp
     src/macro-action-audio.cpp
     src/macro-action-file.cpp
@@ -298,7 +306,6 @@
     src/macro-action-macro.cpp
     src/macro-action-media.cpp
     src/macro-action-plugin-state.cpp
-    src/macro-action-preview-scene.cpp
     src/macro-action-profile.cpp
     src/macro-action-random.cpp
     src/macro-action-recording.cpp
@@ -306,7 +313,6 @@
     src/macro-action-run.cpp
     src/macro-action-scene-collection.cpp
     src/macro-action-scene-order.cpp
-    src/macro-action-scene-swap.cpp
     src/macro-action-scene-switch.cpp
     src/macro-action-scene-transform.cpp
     src/macro-action-scene-visibility.cpp
@@ -314,11 +320,13 @@
     src/macro-action-sequence.cpp
     src/macro-action-source.cpp
     src/macro-action-streaming.cpp
+    src/macro-action-studio-mode.cpp
     src/macro-action-systray.cpp
     src/macro-action-timer.cpp
     src/macro-action-transition.cpp
     src/macro-action-virtual-cam.cpp
     src/macro-action-wait.cpp
+    src/macro-condition.cpp
     src/macro-condition-edit.cpp
     src/macro-condition-audio.cpp
     src/macro-condition-cursor.cpp
@@ -329,11 +337,3 @@
     src/macro-condition-idle.cpp
     src/macro-condition-macro.cpp
     src/macro-condition-media.cpp
-    src/macro-condition-plugin-state.cpp
-    src/macro-condition-process.cpp
-    src/macro-condition-recording.cpp
-    src/macro-condition-replay-buffer.cpp
-    src/macro-condition-scene-order.cpp
-    src/macro-condition-scene-transform.cpp
-    src/macro-condition-scene-visibility.cpp
-    src/macro-condition-scene.cpp
