=== src/external-macro-modules/opencv/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,19 @@
 endif()
 
 include_directories("${CMAKE_CURRENT_SOURCE_DIR}/../../headers")
-set(module_SOURCES macro-condition-video.cpp macro-condition-video.hpp)
+set(module_SOURCES
+    area-selection.cpp
+    area-selection.hpp
+    macro-condition-video.cpp
+    macro-condition-video.hpp
+    opencv-helpers.cpp
+    opencv-helpers.hpp
+    preview-dialog.cpp
+    preview-dialog.hpp
+    threshold-slider.cpp
+    threshold-slider.hpp
+    video-selection.cpp
+    video-selection.hpp)
 add_library(advanced-scene-switcher-opencv MODULE ${module_SOURCES})
 
 if(BUILD_OUT_OF_TREE)
