=== debian/changelog ===
obs-advanced-scene-switcher (1.17.7-1build1) kinetic; urgency=medium

  * No-change rebuild against libopencv-core406

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Jul 2022 06:19:46 +0000

obs-advanced-scene-switcher (1.17.7-1) unstable; urgency=medium

  * New upstream version 1.17.7.
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/source/lintian-overrides: updated to override each message about
    long lines in translations because lintian no longer supports regex.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jun 2022 08:20:48 -0300

obs-advanced-scene-switcher (1.17.5-1) unstable; urgency=medium

  * New upstream version 1.17.5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 08 Apr 2022 21:09:51 -0300

obs-advanced-scene-switcher (1.17.4-1) unstable; urgency=medium

  * New upstream version 1.17.4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 03 Mar 2022 15:45:52 -0300
