=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: obs-advanced-scene-switcher
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libasio-dev,
@@ -13,7 +14,7 @@
                libxtst-dev,
                libwebsocketpp-dev,
                qtbase5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://obsproject.com/forum/resources/advanced-scene-switcher.395/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/obs-advanced-scene-switcher
